MONGOC_GRIDFS_BUCKET_DELETE_BY_ID(3)

NAME
mongoc_gridfs_bucket_delete_by_id - mongoc_gridfs_bucket_delete_by_id()

SYNOPSIS

bool
mongoc_gridfs_bucket_delete_by_id (mongoc_gridfs_bucket_t *bucket,
                                   const bson_value_t *file_id,
                                   bson_error_t *error);

PARAMETERS

•   bucket: A mongoc_gridfs_bucket_t.

•   file_id: A bson_value_t of the id of the file to delete.

•   error: A bson_error_t to receive any error or NULL.

DESCRIPTION

Deletes a file and its contents from GridFS.

RETURNS

True if the operation succeeded. False otherwise, and sets error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc